/***************************************************************************
 *   Copyright (C) 2006 by Dave Parker                                     *
 *   drp@ezeedsl.co.uk                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "history.h"

/**
 * Saved move
 * @param n - Move number
 * @param b - Board
 * @param m - Move
 * @param w - White's turn
 * @param lx - Last X
 * @param ly - Last Y
 * @param x - Current X
 * @param y - Current Y
 * @return
 */
History::History ( int n, const Board& b, const std::string m, bool w, int lx, int ly, int x, int y ) :
        move_no ( n ), board ( b ), move ( m ), whites_turn ( w ), last_x ( lx ), last_y ( ly ), this_x ( x ), this_y ( y )
{
}


History::~History()
{
}
